Bug 1548713 - lua-socket: Partial Fedora build flags injection
Summary: lua-socket: Partial Fedora build flags injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lua-socket
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-02-24 13:20 UTC by Florian Weimer
Modified: 2018-05-06 01:39 UTC (History)
3 users (show)

Fixed In Version: lua-socket-3.0-0.17.rc1.fc28 lua-socket-3.0-0.17.rc1.fc27 lua-socket-3.0-0.17.rc1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:07:23 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-02-24 13:20:42 UTC
Various Lua modules in lua-socket-3.0-0.16.rc1.fc28.x86_64 and lua-socket-compat-3.0-0.16.rc1.fc28.x86_64 have not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config.

Something like this may be sufficient to inject LDFLAGS:

-make %{?_smp_mflags} LUAV=%{luaver} OPTFLAGS="%{optflags} -fPIC" linux
+make %{?_smp_mflags} LUAV=%{luaver} OPTFLAGS="%{optflags} -fPIC" \
+  LDFLAGS="%{build_ldflags}" linux

But I could not verify this because I'm encountering an unrelated build failure:

BUILDSTDERR: options.c: In function 'opt_meth_setoption':
BUILDSTDERR: options.c:41:43: warning: '%.35s' directive writing up to 35 bytes into a region of size 25 [-Wformat-overflow=]
BUILDSTDERR:          sprintf(msg, "unsupported option `%.35s'", name);
BUILDSTDERR:                                            ^~~~~
BUILDSTDERR: In file included from /usr/include/stdio.h:862,
BUILDSTDERR:                  from /usr/include/lauxlib.h:13,
BUILDSTDERR:                  from options.c:7:
BUILDSTDERR: /usr/include/bits/stdio2.h:33:10: note: '__builtin___sprintf_chk' output between 22 and 57 bytes into a destination of size 45
BUILDSTDERR:    return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
BUILDSTDERR:           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR:        __bos (__s), __fmt, __va_arg_pack ());
BUILDSTDERR:        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 2 Fedora Update System 2018-04-18 21:20:01 UTC
lua-socket-3.0-0.17.rc1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-288037f4bc

Comment 3 Fedora Update System 2018-04-18 21:20:29 UTC
lua-socket-3.0-0.17.rc1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f08113c1

Comment 4 Fedora Update System 2018-04-18 21:20:53 UTC
lua-socket-3.0-0.17.rc1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1f73443466

Comment 5 Fedora Update System 2018-04-19 08:54:54 UTC
lua-socket-3.0-0.17.rc1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-288037f4bc

Comment 6 Fedora Update System 2018-04-19 16:58:40 UTC
lua-socket-3.0-0.17.rc1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1f73443466

Comment 7 Fedora Update System 2018-04-19 17:38:18 UTC
lua-socket-3.0-0.17.rc1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f08113c1

Comment 8 Fedora Update System 2018-04-27 04:07:23 UTC
lua-socket-3.0-0.17.rc1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-30 04:37:27 UTC
lua-socket-3.0-0.17.rc1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-06 01:39:22 UTC
lua-socket-3.0-0.17.rc1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.